import { Tree } from '../models/tree.model';
import { Leaf } from '../models/leaf.model';
import { TreeMap } from '../models/tree-map.model';
import { LeafMap } from '../models/leaf-map.model';
export declare class NgxBootstrapTreeviewMapper<TreeSourceType extends Object, LeafSourceType extends Object> {
    treeMap: TreeMap;
    leafMap: LeafMap;
    constructor(treeMap: TreeMap, leafMap: LeafMap);
    mapTree(item: TreeSourceType): Tree;
    mapLeaf(item: LeafSourceType): Leaf;
}
